diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/udp-trace-client.cc ns-3.44/src/applications/model/udp-trace-client.cc
--- ns-3.43/src/applications/model/udp-trace-client.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/udp-trace-client.cc	2025-03-09 16:55:49.347370900 -0700
@@ -10,10 +10,8 @@
 
 #include "seq-ts-header.h"
 
+#include "ns3/address-utils.h"
 #include "ns3/boolean.h"
-#include "ns3/inet-socket-address.h"
-#include "ns3/inet6-socket-address.h"
-#include "ns3/ipv4-address.h"
 #include "ns3/log.h"
 #include "ns3/nstime.h"
 #include "ns3/packet.h"
@@ -35,7 +33,7 @@
 NS_OBJECT_ENSURE_REGISTERED(UdpTraceClient);
 
 /**
- * \brief Default trace to send
+ * @brief Default trace to send
  */
 UdpTraceClient::TraceEntry UdpTraceClient::g_defaultEntries[] = {
     {0, 534, 'I'},
@@ -55,25 +53,31 @@
 {
     static TypeId tid =
         TypeId("ns3::UdpTraceClient")
-            .SetParent<Application>()
+            .SetParent<SourceApplication>()
             .SetGroupName("Applications")
             .AddConstructor<UdpTraceClient>()
             .AddAttribute("RemoteAddress",
                           "The destination Address of the outbound packets",
                           AddressValue(),
-                          MakeAddressAccessor(&UdpTraceClient::m_peerAddress),
-                          MakeAddressChecker())
-            .AddAttribute("RemotePort",
-                          "The destination port of the outbound packets",
-                          UintegerValue(100),
-                          MakeUintegerAccessor(&UdpTraceClient::m_peerPort),
-                          MakeUintegerChecker<uint16_t>())
-            .AddAttribute("Tos",
-                          "The Type of Service used to send IPv4 packets. "
-                          "All 8 bits of the TOS byte are set (including ECN bits).",
-                          UintegerValue(0),
-                          MakeUintegerAccessor(&UdpTraceClient::m_tos),
-                          MakeUintegerChecker<uint8_t>())
+                          MakeAddressAccessor(
+                              (void(UdpTraceClient::*)(const Address&)) &
+                              UdpTraceClient::SetRemote), // this is needed to indicate which
+                                                          // version of the function overload to use
+                          MakeAddressChecker(),
+                          TypeId::SupportLevel::DEPRECATED,
+                          "Replaced by Remote in ns-3.44.")
+            .AddAttribute(
+                "RemotePort",
+                "The destination port of the outbound packets",
+                UintegerValue(UdpTraceClient::DEFAULT_PORT),
+                MakeAddressAccessor(
+                    (void(UdpTraceClient::*)(const Address&)) &
+                        UdpTraceClient::SetRemote, // this is needed to indicate which version of
+                                                   // the function overload to use
+                    &UdpTraceClient::GetRemote),
+                MakeUintegerChecker<uint16_t>(),
+                TypeId::SupportLevel::DEPRECATED,
+                "Replaced by Remote in ns-3.44.")
             .AddAttribute("MaxPacketSize",
                           "The maximum size of a packet (including the SeqTsHeader, 12 bytes).",
                           UintegerValue(1024),
@@ -95,67 +99,91 @@
 }
 
 UdpTraceClient::UdpTraceClient()
+    : m_sent{0},
+      m_socket{nullptr},
+      m_peerPort{},
+      m_sendEvent{},
+      m_currentEntry{0}
 {
     NS_LOG_FUNCTION(this);
-    m_sent = 0;
-    m_socket = nullptr;
-    m_sendEvent = EventId();
-    m_maxPacketSize = 1400;
-}
-
-UdpTraceClient::UdpTraceClient(Ipv4Address ip, uint16_t port, char* traceFile)
-{
-    NS_LOG_FUNCTION(this);
-    m_sent = 0;
-    m_socket = nullptr;
-    m_sendEvent = EventId();
-    m_peerAddress = ip;
-    m_peerPort = port;
-    m_currentEntry = 0;
-    m_maxPacketSize = 1400;
-    if (traceFile != nullptr)
-    {
-        SetTraceFile(traceFile);
-    }
 }
 
 UdpTraceClient::~UdpTraceClient()
 {
     NS_LOG_FUNCTION(this);
-    m_entries.clear();
 }
 
 void
-UdpTraceClient::SetRemote(Address ip, uint16_t port)
+UdpTraceClient::SetRemote(const Address& ip, uint16_t port)
 {
     NS_LOG_FUNCTION(this << ip << port);
-    m_entries.clear();
-    m_peerAddress = ip;
-    m_peerPort = port;
+    SetRemote(ip);
+    SetPort(port);
 }
 
 void
-UdpTraceClient::SetRemote(Address addr)
+UdpTraceClient::SetRemote(const Address& addr)
 {
     NS_LOG_FUNCTION(this << addr);
-    m_entries.clear();
-    m_peerAddress = addr;
+    if (!addr.IsInvalid())
+    {
+        m_peer = addr;
+        if (m_peerPort)
+        {
+            SetPort(*m_peerPort);
+        }
+        LoadTrace();
+    }
+}
+
+Address
+UdpTraceClient::GetRemote() const
+{
+    return m_peer;
 }
 
 void
-UdpTraceClient::SetTraceFile(std::string traceFile)
+UdpTraceClient::SetPort(uint16_t port)
 {
-    NS_LOG_FUNCTION(this << traceFile);
-    if (traceFile.empty())
+    NS_LOG_FUNCTION(this << port);
+    if (m_peer.IsInvalid())
     {
-        LoadDefaultTrace();
+        // save for later
+        m_peerPort = port;
+        return;
     }
-    else
+    if (Ipv4Address::IsMatchingType(m_peer) || Ipv6Address::IsMatchingType(m_peer))
     {
-        LoadTrace(traceFile);
+        m_peer = addressUtils::ConvertToSocketAddress(m_peer, port);
     }
 }
 
+uint16_t
+UdpTraceClient::GetPort() const
+{
+    if (m_peer.IsInvalid())
+    {
+        return m_peerPort.value_or(UdpTraceClient::DEFAULT_PORT);
+    }
+    if (InetSocketAddress::IsMatchingType(m_peer))
+    {
+        return InetSocketAddress::ConvertFrom(m_peer).GetPort();
+    }
+    else if (Inet6SocketAddress::IsMatchingType(m_peer))
+    {
+        return Inet6SocketAddress::ConvertFrom(m_peer).GetPort();
+    }
+    return UdpTraceClient::DEFAULT_PORT;
+}
+
+void
+UdpTraceClient::SetTraceFile(const std::string& traceFile)
+{
+    NS_LOG_FUNCTION(this << traceFile);
+    m_traceFile = traceFile;
+    LoadTrace();
+}
+
 void
 UdpTraceClient::SetMaxPacketSize(uint16_t maxPacketSize)
 {
@@ -171,30 +199,42 @@
 }
 
 void
-UdpTraceClient::LoadTrace(std::string filename)
+UdpTraceClient::LoadTrace()
 {
-    NS_LOG_FUNCTION(this << filename);
-    uint32_t time = 0;
-    uint32_t index = 0;
-    uint32_t oldIndex = 0;
-    uint32_t size = 0;
-    uint32_t prevTime = 0;
-    char frameType;
-    TraceEntry entry;
-    std::ifstream ifTraceFile;
-    ifTraceFile.open(filename, std::ifstream::in);
+    NS_LOG_FUNCTION(this);
     m_entries.clear();
+    m_currentEntry = 0;
+
+    if (m_traceFile.empty())
+    {
+        LoadDefaultTrace();
+        return;
+    }
+
+    std::ifstream ifTraceFile;
+    ifTraceFile.open(m_traceFile, std::ifstream::in);
     if (!ifTraceFile.good())
     {
         LoadDefaultTrace();
+        return;
     }
+
+    uint32_t oldIndex = 0;
+    uint32_t prevTime = 0;
     while (ifTraceFile.good())
     {
+        uint32_t index = 0;
+        char frameType;
+        uint32_t time = 0;
+        uint32_t size = 0;
         ifTraceFile >> index >> frameType >> time >> size;
+
         if (index == oldIndex)
         {
             continue;
         }
+
+        TraceEntry entry{};
         if (frameType == 'B')
         {
             entry.timeToSend = 0;
@@ -209,9 +249,9 @@
         m_entries.push_back(entry);
         oldIndex = index;
     }
+
     ifTraceFile.close();
     NS_ASSERT_MSG(prevTime != 0, "A trace file can not contain B frames only.");
-    m_currentEntry = 0;
 }
 
 void
@@ -234,7 +274,6 @@
         }
         m_entries.push_back(entry);
     }
-    m_currentEntry = 0;
 }
 
 void
@@ -244,53 +283,48 @@
 
     if (!m_socket)
     {
-        TypeId tid = TypeId::LookupByName("ns3::UdpSocketFactory");
+        auto tid = TypeId::LookupByName("ns3::UdpSocketFactory");
         m_socket = Socket::CreateSocket(GetNode(), tid);
-        NS_ABORT_MSG_IF(m_peerAddress.IsInvalid(), "'RemoteAddress' attribute not properly set");
-        if (Ipv4Address::IsMatchingType(m_peerAddress))
+        NS_ABORT_MSG_IF(m_peer.IsInvalid(), "Remote address not properly set");
+        if (!m_local.IsInvalid())
         {
-            if (m_socket->Bind() == -1)
+            NS_ABORT_MSG_IF((Inet6SocketAddress::IsMatchingType(m_peer) &&
+                             InetSocketAddress::IsMatchingType(m_local)) ||
+                                (InetSocketAddress::IsMatchingType(m_peer) &&
+                                 Inet6SocketAddress::IsMatchingType(m_local)),
+                            "Incompatible peer and local address IP version");
+            if (m_socket->Bind(m_local) == -1)
             {
                 NS_FATAL_ERROR("Failed to bind socket");
             }
-            m_socket->SetIpTos(m_tos); // Affects only IPv4 sockets.
-            m_socket->Connect(
-                InetSocketAddress(Ipv4Address::ConvertFrom(m_peerAddress), m_peerPort));
         }
-        else if (Ipv6Address::IsMatchingType(m_peerAddress))
+        else
         {
-            if (m_socket->Bind6() == -1)
+            if (InetSocketAddress::IsMatchingType(m_peer))
             {
-                NS_FATAL_ERROR("Failed to bind socket");
+                if (m_socket->Bind() == -1)
+                {
+                    NS_FATAL_ERROR("Failed to bind socket");
+                }
             }
-            m_socket->Connect(
-                Inet6SocketAddress(Ipv6Address::ConvertFrom(m_peerAddress), m_peerPort));
-        }
-        else if (InetSocketAddress::IsMatchingType(m_peerAddress))
-        {
-            if (m_socket->Bind() == -1)
+            else if (Inet6SocketAddress::IsMatchingType(m_peer))
             {
-                NS_FATAL_ERROR("Failed to bind socket");
+                if (m_socket->Bind6() == -1)
+                {
+                    NS_FATAL_ERROR("Failed to bind socket");
+                }
             }
-            m_socket->SetIpTos(m_tos); // Affects only IPv4 sockets.
-            m_socket->Connect(m_peerAddress);
-        }
-        else if (Inet6SocketAddress::IsMatchingType(m_peerAddress))
-        {
-            if (m_socket->Bind6() == -1)
+            else
             {
-                NS_FATAL_ERROR("Failed to bind socket");
+                NS_ASSERT_MSG(false, "Incompatible address type: " << m_peer);
             }
-            m_socket->Connect(m_peerAddress);
-        }
-        else
-        {
-            NS_ASSERT_MSG(false, "Incompatible address type: " << m_peerAddress);
         }
+        m_socket->SetIpTos(m_tos); // Affects only IPv4 sockets.
+        m_socket->Connect(m_peer);
+        m_socket->SetRecvCallback(MakeNullCallback<void, Ptr<Socket>>());
+        m_socket->SetAllowBroadcast(true);
     }
-    m_socket->SetRecvCallback(MakeNullCallback<void, Ptr<Socket>>());
-    m_socket->SetAllowBroadcast(true);
-    m_sendEvent = Simulator::Schedule(Seconds(0.0), &UdpTraceClient::Send, this);
+    m_sendEvent = Simulator::ScheduleNow(&UdpTraceClient::Send, this);
 }
 
 void
@@ -304,7 +338,6 @@
 UdpTraceClient::SendPacket(uint32_t size)
 {
     NS_LOG_FUNCTION(this << size);
-    Ptr<Packet> p;
     uint32_t packetSize;
     if (size > 12)
     {
@@ -314,24 +347,24 @@
     {
         packetSize = 0;
     }
-    p = Create<Packet>(packetSize);
+    auto p = Create<Packet>(packetSize);
     SeqTsHeader seqTs;
     seqTs.SetSeq(m_sent);
     p->AddHeader(seqTs);
 
-    std::stringstream addressString;
-    if (Ipv4Address::IsMatchingType(m_peerAddress))
-    {
-        addressString << Ipv4Address::ConvertFrom(m_peerAddress);
-    }
-    else if (Ipv6Address::IsMatchingType(m_peerAddress))
+    std::stringstream addressString{};
+#ifdef NS3_LOG_ENABLE
+    if (InetSocketAddress::IsMatchingType(m_peer))
     {
-        addressString << Ipv6Address::ConvertFrom(m_peerAddress);
+        addressString << InetSocketAddress::ConvertFrom(m_peer).GetIpv4() << ":"
+                      << InetSocketAddress::ConvertFrom(m_peer).GetPort();
     }
-    else
+    else if (Inet6SocketAddress::IsMatchingType(m_peer))
     {
-        addressString << m_peerAddress;
+        addressString << Inet6SocketAddress::ConvertFrom(m_peer).GetIpv6() << ":"
+                      << Inet6SocketAddress::ConvertFrom(m_peer).GetPort();
     }
+#endif
 
     if ((m_socket->Send(p)) >= 0)
     {
@@ -361,7 +394,7 @@
             SendPacket(m_maxPacketSize);
         }
 
-        uint16_t sizetosend = entry->packetSize % m_maxPacketSize;
+        auto sizetosend = entry->packetSize % m_maxPacketSize;
         SendPacket(sizetosend);
 
         m_currentEntry++;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/udp-trace-client.h ns-3.44/src/applications/model/udp-trace-client.h
--- ns-3.43/src/applications/model/udp-trace-client.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/udp-trace-client.h	2025-03-09 16:55:49.347370900 -0700
@@ -10,11 +10,13 @@
 #ifndef UDP_TRACE_CLIENT_H
 #define UDP_TRACE_CLIENT_H
 
-#include "ns3/application.h"
+#include "source-application.h"
+
 #include "ns3/event-id.h"
 #include "ns3/ipv4-address.h"
 #include "ns3/ptr.h"
 
+#include <optional>
 #include <vector>
 
 namespace ns3
@@ -24,9 +26,9 @@
 class Packet;
 
 /**
- * \ingroup udpclientserver
+ * @ingroup udpclientserver
  *
- * \brief A trace based streamer
+ * @brief A trace based streamer
  *
  * Sends UDP packets based on a trace file of a MPEG4 stream.
  * Trace files can be downloaded from:
@@ -49,67 +51,53 @@
  *
  * The latter behavior can be changed through the "TraceLoop" attribute.
  */
-class UdpTraceClient : public Application
+class UdpTraceClient : public SourceApplication
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     UdpTraceClient();
-
-    /**
-     * \brief Creates a traceBasedStreamer application
-     * \param ip the destination ip address to which the stream will be sent
-     * \param port the destination udp port to which the stream will be sent
-     * \param traceFile a path to an MPEG4 trace file formatted as follows:
-     *  FrameNo Frametype   Time[ms]    Length [byte]
-     *  FrameNo Frametype   Time[ms]    Length [byte]
-     *  ...
-     *
-     *
-     */
-    UdpTraceClient(Ipv4Address ip, uint16_t port, char* traceFile);
     ~UdpTraceClient() override;
 
+    static constexpr uint16_t DEFAULT_PORT{100}; //!< default port
+
     /**
-     * \brief set the remote address and port
-     * \param ip remote IP address
-     * \param port remote port
-     */
-    void SetRemote(Address ip, uint16_t port);
-    /**
-     * \brief set the remote address
-     * \param addr remote address
+     * @brief set the remote address and port
+     * @param ip remote IP address
+     * @param port remote port
      */
-    void SetRemote(Address addr);
+    NS_DEPRECATED_3_44("Use SetRemote without port parameter instead")
+    void SetRemote(const Address& ip, uint16_t port);
+    void SetRemote(const Address& addr) override;
 
     /**
-     * \brief Set the trace file to be used by the application
-     * \param filename a path to an MPEG4 trace file formatted as follows:
+     * @brief Set the trace file to be used by the application
+     * @param filename a path to an MPEG4 trace file formatted as follows:
      *  Frame No Frametype   Time[ms]    Length [byte]
      *  Frame No Frametype   Time[ms]    Length [byte]
      *  ...
      */
-    void SetTraceFile(std::string filename);
+    void SetTraceFile(const std::string& filename);
 
     /**
-     * \brief Return the maximum packet size
-     * \return the maximum packet size
+     * @brief Return the maximum packet size
+     * @return the maximum packet size
      */
     uint16_t GetMaxPacketSize();
 
     /**
-     * \brief Set the maximum packet size
-     * \param maxPacketSize The maximum packet size
+     * @brief Set the maximum packet size
+     * @param maxPacketSize The maximum packet size
      */
     void SetMaxPacketSize(uint16_t maxPacketSize);
 
     /**
-     * \brief Set the trace loop flag
-     * \param traceLoop true if the trace should be re-used
+     * @brief Set the trace loop flag
+     * @param traceLoop true if the trace should be re-used
      */
     void SetTraceLoop(bool traceLoop);
 
@@ -118,27 +106,46 @@
     void StopApplication() override;
 
     /**
-     * \brief Load a trace file
-     * \param filename the trace file path
+     * @brief Set the remote port (temporary function until deprecated attributes are removed)
+     * @param port remote port
      */
-    void LoadTrace(std::string filename);
+    void SetPort(uint16_t port);
+
     /**
-     * \brief Load the default trace
+     * @brief Get the remote port (temporary function until deprecated attributes are removed)
+     * @return the remote port
+     */
+    uint16_t GetPort() const;
+
+    /**
+     * @brief Get the remote address (temporary function until deprecated attributes are removed)
+     * @return the remote address
+     */
+    Address GetRemote() const;
+
+    /**
+     * @brief Load current trace file
+     */
+    void LoadTrace();
+
+    /**
+     * @brief Load the default trace
      */
     void LoadDefaultTrace();
 
     /**
-     * \brief Send a packet
+     * @brief Send a packet
      */
     void Send();
+
     /**
-     * \brief Send a packet of a given size
-     * \param size the packet size
+     * @brief Send a packet of a given size
+     * @param size the packet size
      */
     void SendPacket(uint32_t size);
 
     /**
-     * \brief Entry to send.
+     * @brief Entry to send.
      *
      * Each entry represents an MPEG frame
      */
@@ -149,18 +156,17 @@
         char frameType;      //!< Frame type (I, P or B)
     };
 
-    uint32_t m_sent;       //!< Counter for sent packets
-    Ptr<Socket> m_socket;  //!< Socket
-    Address m_peerAddress; //!< Remote peer address
-    uint16_t m_peerPort;   //!< Remote peer port
-    uint8_t m_tos;         //!< The packets Type of Service
-    EventId m_sendEvent;   //!< Event to send the next packet
+    uint32_t m_sent;                    //!< Counter for sent packets
+    Ptr<Socket> m_socket;               //!< Socket
+    std::optional<uint16_t> m_peerPort; //!< Remote peer port (deprecated) // NS_DEPRECATED_3_44
+    EventId m_sendEvent;                //!< Event to send the next packet
 
     std::vector<TraceEntry> m_entries;    //!< Entries in the trace to send
     uint32_t m_currentEntry;              //!< Current entry index
     static TraceEntry g_defaultEntries[]; //!< Default trace to send
     uint16_t m_maxPacketSize; //!< Maximum packet size to send (including the SeqTsHeader)
     bool m_traceLoop;         //!< Loop through the trace file
+    std::string m_traceFile;  //!< The location of the trace file
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/test/bulk-send-application-test-suite.cc ns-3.44/src/applications/test/bulk-send-application-test-suite.cc
--- ns-3.43/src/applications/test/bulk-send-application-test-suite.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/test/bulk-send-application-test-suite.cc	2025-03-09 16:55:49.347370900 -0700
@@ -28,8 +28,8 @@
 using namespace ns3;
 
 /**
- * \ingroup applications-test
- * \ingroup tests
+ * @ingroup applications-test
+ * @ingroup tests
  *
  * Basic test, checks that the right quantity of packets are sent and received.
  */
@@ -43,13 +43,13 @@
     void DoRun() override;
     /**
      * Record a packet successfully sent
-     * \param p the packet
+     * @param p the packet
      */
     void SendTx(Ptr<const Packet> p);
     /**
      * Record a packet successfully received
-     * \param p the packet
-     * \param addr the sender's address
+     * @param p the packet
+     * @param addr the sender's address
      */
     void ReceiveRx(Ptr<const Packet> p, const Address& addr);
     uint64_t m_sent{0};     //!< number of bytes sent
@@ -99,13 +99,13 @@
     BulkSendHelper sourceHelper("ns3::TcpSocketFactory", InetSocketAddress(i.GetAddress(1), port));
     sourceHelper.SetAttribute("MaxBytes", UintegerValue(300000));
     ApplicationContainer sourceApp = sourceHelper.Install(nodes.Get(0));
-    sourceApp.Start(Seconds(0.0));
-    sourceApp.Stop(Seconds(10.0));
+    sourceApp.Start(Seconds(0));
+    sourceApp.Stop(Seconds(10));
     PacketSinkHelper sinkHelper("ns3::TcpSocketFactory",
                                 InetSocketAddress(Ipv4Address::GetAny(), port));
     ApplicationContainer sinkApp = sinkHelper.Install(nodes.Get(1));
-    sinkApp.Start(Seconds(0.0));
-    sinkApp.Stop(Seconds(10.0));
+    sinkApp.Start(Seconds(0));
+    sinkApp.Stop(Seconds(10));
 
     Ptr<BulkSendApplication> source = DynamicCast<BulkSendApplication>(sourceApp.Get(0));
     Ptr<PacketSink> sink = DynamicCast<PacketSink>(sinkApp.Get(0));
@@ -121,8 +121,8 @@
 }
 
 /**
- * \ingroup applications-test
- * \ingroup tests
+ * @ingroup applications-test
+ * @ingroup tests
  *
  * This test checks that the sequence number is sent and received in sequence
  * despite the sending application having to pause and restart its sending
@@ -138,10 +138,10 @@
     void DoRun() override;
     /**
      * Record a packet successfully sent
-     * \param p the packet
-     * \param from source address
-     * \param to destination address
-     * \param header the SeqTsSizeHeader
+     * @param p the packet
+     * @param from source address
+     * @param to destination address
+     * @param header the SeqTsSizeHeader
      */
     void SendTx(Ptr<const Packet> p,
                 const Address& from,
@@ -149,10 +149,10 @@
                 const SeqTsSizeHeader& header);
     /**
      * Record a packet successfully received
-     * \param p the packet
-     * \param from source address
-     * \param to destination address
-     * \param header the SeqTsSizeHeader
+     * @param p the packet
+     * @param from source address
+     * @param to destination address
+     * @param header the SeqTsSizeHeader
      */
     void ReceiveRx(Ptr<const Packet> p,
                    const Address& from,
@@ -226,14 +226,14 @@
     sourceHelper.SetAttribute("MaxBytes", UintegerValue(300000));
     sourceHelper.SetAttribute("EnableSeqTsSizeHeader", BooleanValue(true));
     ApplicationContainer sourceApp = sourceHelper.Install(nodes.Get(0));
-    sourceApp.Start(Seconds(0.0));
-    sourceApp.Stop(Seconds(10.0));
+    sourceApp.Start(Seconds(0));
+    sourceApp.Stop(Seconds(10));
     PacketSinkHelper sinkHelper("ns3::TcpSocketFactory",
                                 InetSocketAddress(Ipv4Address::GetAny(), port));
     sinkHelper.SetAttribute("EnableSeqTsSizeHeader", BooleanValue(true));
     ApplicationContainer sinkApp = sinkHelper.Install(nodes.Get(1));
-    sinkApp.Start(Seconds(0.0));
-    sinkApp.Stop(Seconds(10.0));
+    sinkApp.Start(Seconds(0));
+    sinkApp.Stop(Seconds(10));
 
     Ptr<BulkSendApplication> source = DynamicCast<BulkSendApplication>(sourceApp.Get(0));
     Ptr<PacketSink> sink = DynamicCast<PacketSink>(sinkApp.Get(0));
@@ -251,10 +251,10 @@
 }
 
 /**
- * \ingroup applications-test
- * \ingroup tests
+ * @ingroup applications-test
+ * @ingroup tests
  *
- * \brief BulkSend TestSuite
+ * @brief BulkSend TestSuite
  */
 class BulkSendTestSuite : public TestSuite
 {
